apiVersion: batch/v1
kind: Job
metadata:
  name: k8ssandra-rebuild-nodes
  namespace: cassandra
spec:
  template:
    spec:
      containers:
      - name: upgrade-sstables
        image: k8ssandra/cass-management-api:4.0.3-v0.1.37
        env:
        - name: IP_ADDRESSES
          value: "SPACE SEPARATED IP ADDRESSES"
        - name: CASS_USERNAME
          valueFrom:
            secretKeyRef:
              name: minds-prod-superuser
              key: username
              optional: false
        - name: CASS_PASSWORD
          valueFrom:
            secretKeyRef:
              name: minds-prod-superuser
              key: password
              optional: false
        command:
        - /bin/sh
        - -c
        - |
          for node in $IP_ADDRESSES
          do
            echo upgrading $node
            nodetool -h $node -u $CASS_USERNAME -pw $CASS_PASSWORD rebuild -ks system_auth -- k8ssandra-eks-us-east-1
            nodetool -h $node -u $CASS_USERNAME -pw $CASS_PASSWORD rebuild -ks system_distributed -- k8ssandra-eks-us-east-1
            nodetool -h $node -u $CASS_USERNAME -pw $CASS_PASSWORD rebuild -ks system_traces -- k8ssandra-eks-us-east-1
            nodetool -h $node -u $CASS_USERNAME -pw $CASS_PASSWORD rebuild -ks reaper_db -- k8ssandra-eks-us-east-1
            nodetool -h $node -u $CASS_USERNAME -pw $CASS_PASSWORD rebuild -ks minds -- k8ssandra-eks-us-east-1
          done
      restartPolicy: Never
  backoffLimit: 1
